<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>MavenArtifactRepository (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MavenArtifactRepository (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/repositories/IvyPatternRepositoryLayout.html" title="interface in org.gradle.api.artifacts.repositories"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/repositories/PasswordCredentials.html" title="interface in org.gradle.api.artifacts.repositories"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" target="_top">Frames</a></li>
<li><a href="MavenArtifactRepository.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.repositories</div>
<h2 title="Interface MavenArtifactRepository" class="title">Interface MavenArtifactRepository</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationSupported</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">MavenArtifactRepository</span>
extends <a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationSupported</a></pre>
<div class="block">An artifact repository which uses a Maven format to store artifacts and meta-data.
 <p>
 Repositories of this type are created by the <a href="../../../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html#maven(org.gradle.api.Action)"><code>RepositoryHandler.maven(org.gradle.api.Action)</code></a> group of methods.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#artifactUrls(java.lang.Object...)">artifactUrls</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;urls)</code>
<div class="block">Adds some additional URLs to use to find artifact files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#getArtifactUrls()">getArtifactUrls</a></strong>()</code>
<div class="block">Returns the additional URLs to use to find artifact files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#getUrl()">getUrl</a></strong>()</code>
<div class="block">The base URL of this repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setArtifactUrls(java.lang.Iterable)">setArtifactUrls</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;urls)</code>
<div class="block">Sets the additional URLs to use to find artifact files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setArtifactUrls(java.util.Set)">setArtifactUrls</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&gt;&nbsp;urls)</code>
<div class="block">Sets the additional URLs to use to find artifact files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setUrl(java.lang.Object)">setUrl</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;url)</code>
<div class="block">Sets the base URL of this repository.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setUrl(java.net.URI)">setUrl</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;url)</code>
<div class="block">Sets the base URL of this repository.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.repositories.ArtifactRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.repositories.<a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a></h3>
<code><a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html#getName()">getName</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html#setName(java.lang.String)">setName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.repositories.AuthenticationSupported">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.repositories.<a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationSupported</a></h3>
<code><a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#authentication(org.gradle.api.Action)">authentication</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#credentials(org.gradle.api.Action)">credentials</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#credentials(java.lang.Class,%20org.gradle.api.Action)">credentials</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#getAuthentication()">getAuthentication</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#getCredentials()">getCredentials</a>, <a href="../../../../../org/gradle/api/artifacts/repositories/AuthenticationSupported.html#getCredentials(java.lang.Class)">getCredentials</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUrl()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUrl</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;getUrl()</pre>
<div class="block">The base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setArtifactUrls(java.lang.Iterable)"><code>setArtifactUrls(Iterable)</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The URL.</dd></dl>
</li>
</ul>
<a name="setUrl(java.net.URI)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUrl</h4>
<pre>void&nbsp;setUrl(<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;url)</pre>
<div class="block">Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setArtifactUrls(java.lang.Iterable)"><code>setArtifactUrls(Iterable)</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - The base URL.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setUrl(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUrl</h4>
<pre>void&nbsp;setUrl(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;url)</pre>
<div class="block">Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using <a href="../../../../../org/gradle/api/artifacts/repositories/MavenArtifactRepository.html#setArtifactUrls(java.lang.Iterable)"><code>setArtifactUrls(Iterable)</code></a>.

 <p>The provided value is evaluated as per <a href="../../../../../org/gradle/api/Project.html#uri(java.lang.Object)"><code>Project.uri(Object)</code></a>. This means, for example, you can pass in a <code>File</code> object, or a relative path to be evaluated relative
 to the project directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>url</code> - The base URL.</dd></dl>
</li>
</ul>
<a name="getArtifactUrls()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifactUrls</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&gt;&nbsp;getArtifactUrls()</pre>
<div class="block">Returns the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The additional URLs. Returns an empty list if there are no such URLs.</dd></dl>
</li>
</ul>
<a name="artifactUrls(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>artifactUrls</h4>
<pre>void&nbsp;artifactUrls(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;urls)</pre>
<div class="block">Adds some additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

 <p>The provided values are evaluated as per <a href="../../../../../org/gradle/api/Project.html#uri(java.lang.Object)"><code>Project.uri(Object)</code></a>. This means, for example, you can pass in a <code>File</code> object, or a relative path to be evaluated
 relative to the project directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>urls</code> - The URLs to add.</dd></dl>
</li>
</ul>
<a name="setArtifactUrls(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArtifactUrls</h4>
<pre>void&nbsp;setArtifactUrls(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&gt;&nbsp;urls)</pre>
<div class="block">Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>urls</code> - The URLs.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setArtifactUrls(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setArtifactUrls</h4>
<pre>void&nbsp;setArtifactUrls(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;urls)</pre>
<div class="block">Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

 <p>The provided values are evaluated as per <a href="../../../../../org/gradle/api/Project.html#uri(java.lang.Object)"><code>Project.uri(Object)</code></a>. This means, for example, you can pass in a <code>File</code> object, or a relative path to be evaluated
 relative to the project directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>urls</code> - The URLs.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/repositories/IvyPatternRepositoryLayout.html" title="interface in org.gradle.api.artifacts.repositories"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/repositories/PasswordCredentials.html" title="interface in org.gradle.api.artifacts.repositories"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/repositories/MavenArtifactRepository.html" target="_top">Frames</a></li>
<li><a href="MavenArtifactRepository.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
